LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games
User Name
Password
Linux - Games This forum is for all discussion relating to gaming in Linux.

Notices

Reply
 
Search this Thread
Old 05-20-2005, 03:40 PM   #1
vegetassj2
Member
 
Registered: Jan 2005
Posts: 201

Rep: Reputation: 30
Unhappy Can't get Age of Empires II: Age of Kings started (I've could it before !!!)


hi,

I have this game named Age of Kings
I was able to play it with wine before I installed my FC3 (I had FC 2 )
and now when I try it again in my FC 3 I get this weird stuff:

$ wine My\ Documents/Games/Age\ Of\ Empires\ II/empires2.exe
fixme:system:SystemParametersInfoW Unimplemented action: 110 (SPI_GETSHOWIMEUI)
fixme:ddraw:Main_DirectDraw_SetCooperativeLevel (0x77c58128)->(00010022,00000013)
fixme:xrandr:X11DRV_XRandR_SetCurrentMode Cannot change screen BPP from 32 to 8
fixme:xrandr:X11DRV_XRandR_SetCurrentMode Cannot change screen BPP from 32 to 8
fixme:x11drv:X11DRV_DDHAL_CreatePalette stub
fixme:ddraw:Main_DirectDrawClipper_Initialize (0x77c58898)->(0x77c58134,0x00000000),stub!
fixme:ddrawIB_DirectDrawSurface_Blt dwFlags DDBLT_WAIT and/or DDBLT_ASYNC: can't handle right now.
fixme:system:SystemParametersInfoW Unimplemented action: 111 (SPI_SETSHOWIMEUI)
$

And it gives me an error message (bla bla bla make sure your Video card is compatible with DirectDraw)

Is there anyone who can help me?

thanks

Last edited by vegetassj2; 08-06-2005 at 09:26 AM.
 
Old 05-20-2005, 04:32 PM   #2
ArbiterOne
LQ Newbie
 
Registered: Oct 2004
Location: Munich, Germany
Distribution: Slackware 10.1
Posts: 18

Rep: Reputation: 0
Reinstall wine or rebuild it would be my suggestion. Things may have changed in FC3 that altered the way Wine works. Also, you might want to grab the newest version source or an RPM thereof, as it fixes many bugs.
 
Old 05-22-2005, 04:11 AM   #3
vegetassj2
Member
 
Registered: Jan 2005
Posts: 201

Original Poster
Rep: Reputation: 30
hi,

I had this version: wine-20050310-1fc3winehq.i686
I installed this version: wine-20050419-1fc3winehq.i686
and I'm still getting the same problem
 
Old 06-17-2005, 12:04 PM   #4
akp913
LQ Newbie
 
Registered: Jun 2005
Distribution: Kanotix Rockz
Posts: 17

Rep: Reputation: 0
vegetassj2, you said you got The Age of Kings to work with linux. Could you show me how you did so. Thx
 
Old 06-19-2005, 06:45 AM   #5
vegetassj2
Member
 
Registered: Jan 2005
Posts: 201

Original Poster
Rep: Reputation: 30
First I got it installed. Next I downloaded a no-cdcrack so it worked without CD.
$eject cdrom
$cd /were/you/installed/the/game
$wine empires2.exe

that's it
 
Old 06-23-2005, 05:23 PM   #6
thiagoeliasr
LQ Newbie
 
Registered: Apr 2005
Location: São Paulo - Brazil
Distribution: Slackware 12.1
Posts: 16

Rep: Reputation: 0
I haven't tested AOE2 with Wine, but using Cedega, this game works with some screen glitches.. I don't know if some configs at configuration file can fix this problem.. I have to download wine and test it too..

well.. see ya..


(and sorry for my bad english language.. )
 
Old 06-23-2005, 05:54 PM   #7
akp913
LQ Newbie
 
Registered: Jun 2005
Distribution: Kanotix Rockz
Posts: 17

Rep: Reputation: 0
I got the game working, now all I need is the no-cd patch.
 
Old 07-05-2005, 01:51 PM   #8
pescorilo
LQ Newbie
 
Registered: Jul 2005
Location: Romania
Distribution: Mandriva 10.2
Posts: 1

Rep: Reputation: 0
how did you did it?

I have the same problem using cedega 4.2.3 how did you solved this problem?
 
Old 08-06-2005, 04:03 AM   #9
worldgnat
Member
 
Registered: Oct 2004
Posts: 337

Rep: Reputation: 30
I'm running Lindows and I've tried wine. I also can't find the no cd crack. Any ideas where to find it? I'm so despirate that I saved the soundtrack with lsongs and I'm listening to it! Please help. Wine logged the error to /tmp/wine.log.BCnqjO, here it is:

fixme:vxd:VXD_Open Unknown/unsupported VxD L"sice.vxd". Try setting Windows version to 'nt40' or 'win31'.
fixme:vxd:VXD_Open Unknown/unsupported VxD L"siwvid.vxd". Try setting Windows version to 'nt40' or 'win31'.
fixme:vxd:VXD_Open Unknown/unsupported VxD L"ntice.vxd". Try setting Windows version to 'nt40' or 'win31'.
wine: Unhandled exception (thread 0009), starting debugger...
err:seh:start_debugger Couldn't start debugger ("winedbg --auto 8 68") (2)
Read the Wine Developers Guide on how to set up winedbg or another debugger


Does that help?

-Peter
 
Old 08-06-2005, 09:23 AM   #10
vegetassj2
Member
 
Registered: Jan 2005
Posts: 201

Original Poster
Rep: Reputation: 30
The Game might work WITHOUT no-cd patch.
I had a few problems too but I red on a site you just need to wine 'empires2.exe' I tried and it worked.
But unfortunately now, using FC3, it doesn't.

I get the ' make sure your Video card is compatible with DirectDraw' problem over and over again

Any ideas

Last edited by vegetassj2; 08-06-2005 at 09:27 AM.
 
Old 08-07-2005, 11:20 AM   #11
Cyblob
LQ Newbie
 
Registered: Oct 2003
Posts: 9

Rep: Reputation: 0
I had the same problem in the past. I'm not sure, but I think if you run the game from setup (from the CD, where it gives you the options to install, read help, play game ect..) and select play game from that screen then you are able to play it.

I've also found that reinstall AOE sometimes helps.
 
Old 08-09-2005, 02:52 AM   #12
warrion_2000
LQ Newbie
 
Registered: Jun 2005
Distribution: SuSe 9.3 Pro, Windows XP
Posts: 21

Rep: Reputation: 15
vegetassj2,
When you used to play AoE 2 using Fedora Core 2, was it slow, and could you read the text? And secondly have you tried running the expansion ?

I've been going crazy trying to run AoE 2 on Linux.

Thanks.
 
Old 08-09-2005, 04:50 AM   #13
vegetassj2
Member
 
Registered: Jan 2005
Posts: 201

Original Poster
Rep: Reputation: 30
it worked perfectly except for the text at the bottom on the left (which I couldn't read very good)
and I WAS running the expansion

I read on a German site you just had to typ in a Terminal:
$ Wine /where/you/installed/the/game/empires2.exe

Last edited by vegetassj2; 08-09-2005 at 04:54 AM.
 
Old 08-09-2005, 07:21 AM   #14
warrion_2000
LQ Newbie
 
Registered: Jun 2005
Distribution: SuSe 9.3 Pro, Windows XP
Posts: 21

Rep: Reputation: 15
Awesome. Can I suggest that you switch back to Fedora Core 2. AoE 2 is definitely worth it as you would well know

Good Luck.
 
Old 08-09-2005, 07:40 AM   #15
warrion_2000
LQ Newbie
 
Registered: Jun 2005
Distribution: SuSe 9.3 Pro, Windows XP
Posts: 21

Rep: Reputation: 15
Btw, I think before you think of going back to FC2 you can try and download the version of wine you had previously (in FC2) that might fix your problem. When you get a newer version of wine apps which worked previously may not work anymore.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
age of empires 2 + wine Boby Linux - Games 7 06-03-2014 09:06 AM
Age of Empires 2 MasterKin8T Linux - Games 4 01-10-2008 08:57 AM
Age of Empires dudeman41465 Linux - Games 4 08-05-2005 07:37 PM
age of empires, others tonicnote Linux - General 6 05-26-2003 12:00 AM
Age Of Empires jayakrishnan Linux - General 0 04-04-2002 04:56 AM


All times are GMT -5. The time now is 03:45 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration